# Transactions

## Get Transaction Data

<mark style="color:blue;">`GET`</mark> `https://api.pepeanalytics.com/v1/tx/:hash`

#### Path Parameters

| Name | Type   | Description                       |
| ---- | ------ | --------------------------------- |
| hash | String | Transaction hash getting data for |

{% tabs %}
{% tab title="200: OK Successful response" %}

```
{
    data: {
        hash: string;
        timestamp: number;  
        blockNumber: number;                        # Block number executed at
        confirmations: number;
        success: boolean;
        from: string;                                # From wallet address
        to: string;                                  # To wallet address
        value: string | number;
        input: string;
        gasLimit: string | number;
        gasUsed: string | number;                    # Gas used for TX
        creates: string;
        logs: [
            {
              address: string;
              topics: any;
              data: any;
            }
            ...
        ]
        operations: [                                # Operations occured in transaction
            {
                  timestamp: string | number;
                  transactionHash: string;
                  tokenInfo: any;                    # Token metadata
                  type: string;
                  address: string;
                  from: string;
                  to: string;
                  value: any;
            }
            ...
        ]
    }
    message: 'Success'
    isError: false
}
```

{% endtab %}

{% tab title="500: Internal Server Error Error" %}

```
{
    data: null
    isError: true
    message: any
}
```

{% endtab %}
{% endtabs %}
